https://api.nexscope.ai/et/listProductVideoRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/et/listProductVideo |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
productId | string | required | Product ID. Maximum length 1000 |
userId | string | optional | Expert ID is used to filter the delivery videos of specific experts. Maximum length 1000 |
productVideoSortField | integer | optional | Sorting fields: 1=play volume, 2=likes, 3=shares, 4=video sales, 5=video sales GMV, 6=release time. Default `1` Example: 1 |
sortType | integer | optional | Sorting method: 0=ascending order, 1=descending order. Default `1` Example: 1 |
minCreateTime | integer | optional | Video release time interval - start (second-level timestamp) |
maxCreateTime | integer | optional | Video publishing time interval-end (second-level timestamp) |
pageNum | integer | optional | Pagination page number. Default `1` Example: 1 |
pageSize | integer | optional | The number of paging entries (must be a multiple of 10, maximum 100; the upper limit of a single page in the official interface is 10, internally press 10 to pull multiple times per page and then merge). Default `50` Example: 50 |
Code example
{
"pageSize": 20,
"productId": "1729382310407603945",
"productVideoSortField": 1,
"sortType": 1
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (18 fields)
| Name | Type | Required | Description |
|---|---|---|---|
total | integer | optional | Number of records |
data | array | optional | Video list (see video object below) |
columns | array | optional | Rendered columns |
type | string | optional | Rendering style |
costToken | integer | optional | Consume token |
videoId | string | optional | Video ID |
productId | string | optional | Product ID |
userId | string | optional | Expert ID |
videoDesc | string | optional | Video description |
officialUrl | string | optional | TikTok official video address |
covet | integer | optional | Number of shares |
totalFavoritesCnt | integer | optional | Number of collections |
totalVideoSaleCnt | integer | optional | Video sales (estimated) |
totalVideoSaleGmvAmt | integer | optional | Video sales GMV (estimate) |
hashTag | string | optional | Hashtag |
createDate | string (date) | optional | Video release date |
region | string | optional | area code |
sourceType | string | optional | Product source |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.